<ejs-dialog (overlayClick)='onOverlayClick()'
            [header]='isEdit ? "Editing of the column" : "Adding new column"'
            showCloseIcon='true'
            isModal='true'
            id='dialog'
            #ejDialog
            [target]='targetElement'
            width='310px'>
  <ng-template #content>
    <div class='dialogContent'>
      <form [formGroup]='editForm' (ngSubmit)='isEdit ? editColumn() : addColumn();'>
        <h3>General</h3>
          <app-input [control]='getControl("headerText")' label='Column Name'></app-input>
          <app-input [control]='getControl("dataType")' [dataType]='dataTypes.DropDownList' [dataSource]='dataTypesDataSource' label='Data Type'></app-input>
          <app-input [control]='getControl("defaultValue")' [dataType]='getControl("dataType").value' [dataSource]='dataSourceControl.value' label='Default Value'></app-input>
          <ng-container *ngIf='getControl("dataType").value === "dropdown"'>
            <h4>Options</h4>
            <div class="option-container" *ngFor='let c of dataSourceControl.controls; index as i'>
              <app-input [control]='getDataSourceControl(i)' label='Option {{ i + 1 }}'></app-input>
              <button ejs-button type='button' cssClass="e-round e-small" (click)='removeOption(i)' iconCss="e-icons e-minus-icon" cssClass="e-primary"  iconPosition="Center"></button>
            </div>
            <button ejs-button type='button' (click)='addOption()' cssClass="e-primary">Add Option</button>
          </ng-container>
          <h3>Styles</h3>
          <app-input [control]='getControl("minWidth")' [dataType]='dataTypes.Num' label='Min Width'>
          </app-input>
          <app-input [control]='getControl("textAlign")' [dataType]='dataTypes.DropDownList' [dataSource]="textAlignDataSource" label='Text Aligment'>
          </app-input>
          <app-input [control]='getControl("textWrap")' [dataType]='dataTypes.DropDownList' [dataSource]="textWrapDataSource" label='Text Wrap'>
          </app-input>
          <app-input [control]='getControl("fontSize")' [dataType]='dataTypes.Num' label='Font Size'>
          </app-input>
          <app-input [control]='getControl("fontColor")' [dataType]='colorType' label='Font Color'>
          </app-input>
          <app-input [control]='getControl("backgroundColor")' [dataType]='colorType' label='Background Color'>
          </app-input>
        <div class="e-footer-content">
          <button type="submit" class="e-control e-btn e-lib e-primary e-flat">Save</button>
          <button type="button" class="e-control e-btn e-lib e-flat" (click)='ejDialog.hide()'>Cancel</button>
        </div>
      </form>
    </div>
  </ng-template>
</ejs-dialog>
